@echo off

:START
REM ###########在此设置电视IP###########
adb disconnect

set qian=192.168.
echo.请输入IP地址 %qian% 最后两位

set /p hou=
set ip=%qian%%hou%
echo.目标地址:%ip%




REM ###########检查电视是否已连接###########
echo 正在测试网络连接...
ping -n 1  %ip% | findstr "TTL" >nul 2>nul
if %errorlevel%==0 goto PING_TRUE
echo 未发现电视机IP,目标地址:%ip%
goto eof


:PING_TRUE

REM ###########尝试ADB连接并检查###########

echo 找到设备=%ip%，正在打开ADB...
 
for /f "tokens=*" %%i in ('adb connect %ip% ') do set s=%%i
echo %s%|findstr "^connected" >nul
if %errorlevel%==0 goto ADB_TRUE
echo 连接ADB失败,详细信息:%s%，请在检查后重新尝试。
adb disconnect
goto eof

:ADB_TRUE

REM ###########ADB已正常连接###########

echo ADB已连接


REM  ###########执行ADB命令 "<"以后为ADB SHELL 中要执行的命令###########



REM ===================================安装APK==================================
adb install boot/m2sapp-release_140.apk
adb install boot/qnlauncher_m3-1_sign.apk
adb install boot/rootversion_gimi_m2s-system-signed.apk


REM ===================================运行桌面==================================
adb shell reboot

REM  ###########断开ADB连接###########

echo 已发送断开ADB命令

goto OK

:OK
echo #################################################################################
echo #                                                                               #
echo #  当前设备已处理完成，请验证处理是否成功，如各项功能正常，请更换到下一台设备。 #
echo #                                                                               #
echo #################################################################################
goto RESTART

:eof
echo .
echo .................................................
echo 操作过程失败，请检查设置,3秒后程序将自动重新尝试。
echo .................................................
echo .
ping -n 5 127.0.0.1 >nul
cls
goto START


:RESTART
pause
cls
goto START




